hc-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Oleg Kalnichevski <ol...@apache.org>
Subject Re: Mix-and-match HttpCore and HttpClient versions
Date Tue, 06 Aug 2013 13:25:42 GMT
On Tue, 2013-08-06 at 14:14 +0100, sebb wrote:
> On 6 August 2013 13:30, Oleg Kalnichevski <olegk@apache.org> wrote:
> > On Tue, 2013-08-06 at 13:14 +0100, sebb wrote:
> >> HttpClient and HttpCore have similar version numbers; both have a
> >> 4.2.x series and a 4.3 series.
> >>
> >> Is there any relationship between the two?
> >> Is it necessary for HttpClient 4.2.x to use HttpCore 4.2.x?
> >> Or can HttpClient 4.2.5 be used with HttpCore 4.3?
> >>
> >
> > Theoretically, it can, as HttpCore 4.3 should be fully API backward
> > compatible. However, truth to be told I have not been testing all
> > possible version combinations. Unless one has a very good reason to mix
> > 4.3 core with 4.2 client I would probably caution against doing so. Just
> > use client 4.3 and let your dependency management tool pick up requisite
> > dependencies.
> 
> JMeter does not have a dep. mgt tool. ;-)
> 

Which is a shame in my opinion.

> Nor do users of the download page necessarily have one.
> If Core 4.2.x is recommended for use with Client 4.2.x then IMO Core
> 4.2.x must be available from the download page.
> And the reasoning should be mentioned on the the download page.
> 

Every binary release of HttpClient comes with all the requisite
dependencies bundled including HttpCore. I do not have a problem with
putting HttpCore 4.2 back at the download page. I just do not think it
is necessary.

Oleg



---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@hc.apache.org
For additional commands, e-mail: dev-help@hc.apache.org


Mime
View raw message